<template>
    <div>
        <h2>Users Lists</h2>
            <v-data-table
                :headers="headers"
                :items="users"
                :items-per-page="5"
                class="elevation-1"
            ></v-data-table>
    </div>
</template>

<script>
    export default {
        data(){
            return {
                headers: [
                    { text: 'id', value: 'id' },
                    { text: 'name', value: 'full_name' },
                    { text: 'Username', value: 'username' },
                ],
                users : []
            }

        },
        mounted(){
            let token = localStorage.getItem('token');
            
            if(!token){
                this.$router.push('/login');
            }

            this.$http.get("http://127.0.0.1:8000/user/search?api_token="+token)
            .then(
            response => {
                this.users = response.body.data;
                console.log(response.body.data);
            },
            error => {
                console.log(error);
            });
        }    
    }
</script>
